Loading...
Searching...
No Matches
Dune::GridGlue::Extractor< GV, cd >::ElementInfo Struct Reference

simple struct holding an element seed and an index More...

`#include <dune/grid-glue/extractors/extractor.hh>`

## Public Member Functions

| ElementInfo (unsigned int idx_, const Element &p_, unsigned int f_)

## Public Attributes

unsigned int | idx: 28
| the index of this element's first face in the internal list of extracted faces
unsigned int | faces: 4
| the number of extracted faces for this element
ElementSeed | p
| the entity seed for the element

## Detailed Description

template<typename GV, int cd>
struct Dune::GridGlue::Extractor< GV, cd >::ElementInfo

simple struct holding an element seed and an index

## Constructor & Destructor Documentation

## ElementInfo()

template<typename GV, int cd>

Dune::GridGlue::Extractor< GV, cd >::ElementInfo::ElementInfo | ( | unsigned int | idx_,
|  | const Element & | p_,
|  | unsigned int | f_ )

inline

## Member Data Documentation

## faces

template<typename GV, int cd>

unsigned int Dune::GridGlue::Extractor< GV, cd >::ElementInfo::faces

the number of extracted faces for this element

## idx

template<typename GV, int cd>

unsigned int Dune::GridGlue::Extractor< GV, cd >::ElementInfo::idx

the index of this element's first face in the internal list of extracted faces

## p

template<typename GV, int cd>

ElementSeed Dune::GridGlue::Extractor< GV, cd >::ElementInfo::p

the entity seed for the element

The documentation for this struct was generated from the following file:

- extractor.hh